<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>API References &mdash; anonym anonym documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=14175b09"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="Coding quality" href="Coding%20quality.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            anonym
          </a>
              <div class="version">
                0.1.1
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
    
              <p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#saving-to-csv">Saving to csv</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Examples.html">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="Examples.html#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1"><a class="reference internal" href="Coding%20quality.html">Coding quality</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">API References</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.anonym"><code class="docutils literal notranslate"><span class="pre">anonym</span></code></a><ul>
<li class="toctree-l3"><a class="reference internal" href="#anonym.anonym.anonym.anonymize"><code class="docutils literal notranslate"><span class="pre">anonym.anonymize()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#anonym.anonym.anonym.import_data"><code class="docutils literal notranslate"><span class="pre">anonym.import_data()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#anonym.anonym.anonym.import_example"><code class="docutils literal notranslate"><span class="pre">anonym.import_example()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#anonym.anonym.anonym.to_csv"><code class="docutils literal notranslate"><span class="pre">anonym.to_csv()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.check_spacy_model"><code class="docutils literal notranslate"><span class="pre">check_spacy_model()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.clean_text"><code class="docutils literal notranslate"><span class="pre">clean_text()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.extract_entities"><code class="docutils literal notranslate"><span class="pre">extract_entities()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.extract_entities_for_string"><code class="docutils literal notranslate"><span class="pre">extract_entities_for_string()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.filter_for_values"><code class="docutils literal notranslate"><span class="pre">filter_for_values()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.generate_fake_labels"><code class="docutils literal notranslate"><span class="pre">generate_fake_labels()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.get_logger"><code class="docutils literal notranslate"><span class="pre">get_logger()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.preprocessing"><code class="docutils literal notranslate"><span class="pre">preprocessing()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.replace_label_with_fake"><code class="docutils literal notranslate"><span class="pre">replace_label_with_fake()</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#anonym.anonym.set_logger"><code class="docutils literal notranslate"><span class="pre">set_logger()</span></code></a></li>
</ul>
</li>
</ul>

    <a href= "genindex.html">Index</a>
  
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">anonym</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">API References</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/anonym.anonym.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-anonym.anonym">
<span id="api-references"></span><h1>API References<a class="headerlink" href="#module-anonym.anonym" title="Link to this heading"></a></h1>
<dl class="py class">
<dt class="sig sig-object py" id="anonym.anonym.anonym">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">anonym</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">language</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'dutch'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'info'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.anonym" title="Link to this definition"></a></dt>
<dd><p>anonym class is used to anonymize data.</p>
<dl class="py method">
<dt class="sig sig-object py" id="anonym.anonym.anonym.anonymize">
<span class="sig-name descname"><span class="pre">anonymize</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">df</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">fakeit</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">do_not_fake</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">NER_blacklist</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">['CARDINAL',</span> <span class="pre">'GPE',</span> <span class="pre">'PRODUCT',</span> <span class="pre">'DATE']</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.anonym.anonymize" title="Link to this definition"></a></dt>
<dd><p>Anonymize the input dataframe.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>df</strong> (<em>pd.DataFrame</em>) – DataFrame to be anonymized.</p></li>
<li><p><strong>fakeit</strong> (<em>dict</em><em>, </em><em>optional</em>) – Dictionary of column names and their fake replacements, by default None</p></li>
<li><p><strong>do_not_fake</strong> (<em>list</em><em>, </em><em>optional</em>) – List of column names that should not be faked, by default None</p></li>
<li><p><strong>NER_blacklist</strong> (<em>list</em><em>, </em><em>optional</em>) – List of named entity recognition labels to be ignored, by default [‘CARDINAL’, ‘GPE’, ‘PRODUCT’, ‘DATE’]</p></li>
</ul>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Example 1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath_fake</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department_fake.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load library</span>
<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Initialize</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">(</span><span class="n">language</span><span class="o">=</span><span class="s1">&#39;dutch&#39;</span><span class="p">,</span> <span class="n">verbose</span><span class="o">=</span><span class="s1">&#39;info&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Import csv data from file</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_data</span><span class="p">(</span><span class="n">filepath</span><span class="p">,</span> <span class="n">delim</span><span class="o">=</span><span class="s1">&#39;;&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Anonimyze the data set</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df_fake</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">anonymize</span><span class="p">(</span><span class="n">df</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Write to csv</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span><span class="o">.</span><span class="n">to_csv</span><span class="p">(</span><span class="n">df_fake</span><span class="p">,</span> <span class="n">filepath_fake</span><span class="p">)</span>
</pre></div>
</div>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Example 2</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load library</span>
<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Initialize</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">(</span><span class="n">language</span><span class="o">=</span><span class="s1">&#39;english&#39;</span><span class="p">,</span> <span class="n">verbose</span><span class="o">=</span><span class="s1">&#39;info&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Import example data set</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_example</span><span class="p">(</span><span class="s1">&#39;titanic&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Anonimyze the data set</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df_fake</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">anonymize</span><span class="p">(</span><span class="n">df</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Anonymized DataFrame.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="anonym.anonym.anonym.import_data">
<span class="sig-name descname"><span class="pre">import_data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filepath</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">delim</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">';'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.anonym.import_data" title="Link to this definition"></a></dt>
<dd><p>Reads the dataset from the given filepath.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>filepath</strong> (<em>str</em>) – Path to the dataset file.</p></li>
<li><p><strong>delim</strong> (<em>str</em><em>, </em><em>optional</em>) – Delimiter used in the dataset file, by default ‘;’</p></li>
</ul>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Example 1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath_fake</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department_fake.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load library</span>
<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Initialize</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">()</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Import csv data from file</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_data</span><span class="p">(</span><span class="n">filepath</span><span class="p">,</span> <span class="n">delim</span><span class="o">=</span><span class="s1">&#39;;&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">print</span><span class="p">(</span><span class="n">df</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Dataset read from the file.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="anonym.anonym.anonym.import_example">
<span class="sig-name descname"><span class="pre">import_example</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'titanic'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">url</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sep</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">','</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.anonym.import_example" title="Link to this definition"></a></dt>
<dd><p>Import example dataset from github source.</p>
<p>Import one of the few datasets from github source or specify your own download url link.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> (<em>str</em>) – Name of datasets: ‘sprinkler’, ‘titanic’, ‘student’, ‘fifa’, ‘cancer’, ‘waterpump’, ‘retail’</p></li>
<li><p><strong>url</strong> (<em>str</em>) – url link to to dataset.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Dataset containing mixed features.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>pd.DataFrame()</p>
</dd>
</dl>
<p class="rubric">References</p>
<ul class="simple">
<li><p><a class="reference external" href="https://github.com/erdogant/datazets">https://github.com/erdogant/datazets</a></p></li>
</ul>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="anonym.anonym.anonym.to_csv">
<span class="sig-name descname"><span class="pre">to_csv</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">df_fake</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filepath</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">delim</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">';'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.anonym.to_csv" title="Link to this definition"></a></dt>
<dd><p>Writes the DataFrame to a CSV file.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>df_fake</strong> (<em>pd.DataFrame</em>) – DataFrame to be written to a file.</p></li>
<li><p><strong>filepath</strong> (<em>str</em>) – Path to the file where DataFrame will be written.</p></li>
<li><p><strong>delim</strong> (<em>str</em><em>, </em><em>optional</em>) – Delimiter to be used in the file, by default ‘;’</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.check_spacy_model">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">check_spacy_model</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">language</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'dutch'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.check_spacy_model" title="Link to this definition"></a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.clean_text">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">clean_text</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.clean_text" title="Link to this definition"></a></dt>
<dd><p>Cleans the text by removing commas, dots, special characters, and extra spaces.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>text</strong> (<em>str</em>) – Text to be cleaned.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Cleaned text.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.extract_entities">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">extract_entities</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">df</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">fakeit</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">do_not_fake</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">NER_blacklist</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">['CARDINAL',</span> <span class="pre">'GPE',</span> <span class="pre">'DATE',</span> <span class="pre">'PRODUCT']</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">language</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'dutch'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.extract_entities" title="Link to this definition"></a></dt>
<dd><p>Extracts entities from the DataFrame.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>df</strong> (<em>pd.DataFrame</em>) – DataFrame from which entities will be extracted.</p></li>
<li><p><strong>fakeit</strong> (<em>dict</em><em>, </em><em>optional</em>) – Dictionary of column names and their fake replacements, by default None</p></li>
<li><p><strong>do_not_fake</strong> (<em>list</em><em>, </em><em>optional</em>) – List of column names that should not be faked, by default None</p></li>
<li><p><strong>NER_blacklist</strong> (<em>list</em><em>, </em><em>optional</em>) – List of named entity recognition labels to be ignored, by default [‘CARDINAL’, ‘GPE’, ‘DATE’, ‘PRODUCT’]</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>List of extracted entities.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.extract_entities_for_string">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">extract_entities_for_string</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">nlp</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">text</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">NER_blacklist</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.extract_entities_for_string" title="Link to this definition"></a></dt>
<dd><p>Extracts entities from the given text.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>text</strong> (<em>str</em>) – Text from which entities will be extracted.</p></li>
<li><p><strong>NER_blacklist</strong> (<em>list</em><em>, </em><em>optional</em>) – List of named entity recognition labels to be ignored, by default None</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>List of extracted entities.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.filter_for_values">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">filter_for_values</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">df</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">rem_values</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">['nan',</span> <span class="pre">'ja',</span> <span class="pre">'nee',</span> <span class="pre">'Ja',</span> <span class="pre">'Nee',</span> <span class="pre">'nvt',</span> <span class="pre">'n</span> <span class="pre">v</span> <span class="pre">t',</span> <span class="pre">'niet',</span> <span class="pre">'Niet']</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.filter_for_values" title="Link to this definition"></a></dt>
<dd><p>Filters the DataFrame for given values.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>df</strong> (<em>pd.DataFrame</em>) – DataFrame to be filtered.</p></li>
<li><p><strong>rem_values</strong> (<em>list</em><em>, </em><em>optional</em>) – List of values to be removed from the DataFrame, by default [‘nan’, ‘ja’, ‘nee’, ‘Ja’, ‘Nee’, ‘nvt’, ‘n v t’, ‘niet’, ‘Niet’]</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>List of filtered values.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.generate_fake_labels">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">generate_fake_labels</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">NER</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.generate_fake_labels" title="Link to this definition"></a></dt>
<dd><p>Generates fake labels for the given entities.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>NER</strong> (<em>list</em>) – List of entities for which fake labels will be generated.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>DataFrame containing original labels and their fake replacements.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>pd.DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.get_logger">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">get_logger</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.get_logger" title="Link to this definition"></a></dt>
<dd><p>Gets the current logger.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Current logger.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>logging.Logger</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.preprocessing">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">preprocessing</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">df</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.preprocessing" title="Link to this definition"></a></dt>
<dd><p>Preprocesses the DataFrame by cleaning all its columns.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>df</strong> (<em>pd.DataFrame</em>) – DataFrame to be preprocessed.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Preprocessed DataFrame.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>pd.DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.replace_label_with_fake">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">replace_label_with_fake</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">df</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">NER</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.replace_label_with_fake" title="Link to this definition"></a></dt>
<dd><p>Replaces original labels in the DataFrame with their fake replacements.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>df</strong> (<em>pd.DataFrame</em>) – DataFrame in which labels will be replaced.</p></li>
<li><p><strong>NER</strong> (<em>pd.DataFrame</em>) – DataFrame containing original labels and their fake replacements.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>DataFrame with replaced labels.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>pd.DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="anonym.anonym.set_logger">
<span class="sig-prename descclassname"><span class="pre">anonym.anonym.</span></span><span class="sig-name descname"><span class="pre">set_logger</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">verbose:</span> <span class="pre">[&lt;class</span> <span class="pre">'str'&gt;</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">&lt;class</span> <span class="pre">'int'&gt;]</span> <span class="pre">=</span> <span class="pre">'info'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#anonym.anonym.set_logger" title="Link to this definition"></a></dt>
<dd><p>Sets the logger for verbosity messages.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>verbose</strong> (<em>[</em><em>str</em><em>, </em><em>int</em><em>]</em><em>, </em><em>default is 'info'</em><em> or </em><em>20</em>) – Sets the verbose messages using string or integer values.
* [0, 60, None, ‘silent’, ‘off’, ‘no’]: No message.
* [10, ‘debug’]: Messages from debug level and higher.
* [20, ‘info’]: Messages from info level and higher.
* [30, ‘warning’]: Messages from warning level and higher.
* [50, ‘critical’]: Messages from critical level and higher.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>None.</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Set the logger to warning</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">set_logger</span><span class="p">(</span><span class="n">verbose</span><span class="o">=</span><span class="s1">&#39;warning&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Test with different messages</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">logger</span><span class="o">.</span><span class="n">debug</span><span class="p">(</span><span class="s2">&quot;Hello debug&quot;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">logger</span><span class="o">.</span><span class="n">info</span><span class="p">(</span><span class="s2">&quot;Hello info&quot;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">logger</span><span class="o">.</span><span class="n">warning</span><span class="p">(</span><span class="s2">&quot;Hello warning&quot;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">logger</span><span class="o">.</span><span class="n">critical</span><span class="p">(</span><span class="s2">&quot;Hello critical&quot;</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Coding%20quality.html" class="btn btn-neutral float-left" title="Coding quality" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Data en Innovatielab (IenW).</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>